package lxpanel-data (not installed) failed to install/upgrade: trying to overwrite '/usr/share/lxpanel/xkeyboardconfig/models.cfg', which is also in package lxpanel 0.7.2-1ubuntu1

Bug #1417244 reported by Sebastian Rohde on 2015-02-02
60
This bug affects 9 people
Affects Status Importance Assigned to Milestone
lxpanel (Ubuntu)
High
Julien Lavergne

Bug Description

package lxpanel-data (not installed) failed to install/upgrade: trying to overwrite '/usr/share/lxpanel/xkeyboardconfig/models.cfg', which is also in package lxpanel 0.7.2-1ubuntu1

ProblemType: Package
DistroRelease: Ubuntu 15.04
Package: lxpanel-data (not installed)
ProcVersionSignature: Ubuntu 3.18.0-12.13-generic 3.18.4
Uname: Linux 3.18.0-12-generic x86_64
ApportVersion: 2.15.1-0ubuntu4
Architecture: amd64
Date: Mon Feb 2 20:31:49 2015
DuplicateSignature: package:lxpanel-data:(not installed):trying to overwrite '/usr/share/lxpanel/xkeyboardconfig/models.cfg', which is also in package lxpanel 0.7.2-1ubuntu1
ErrorMessage: trying to overwrite '/usr/share/lxpanel/xkeyboardconfig/models.cfg', which is also in package lxpanel 0.7.2-1ubuntu1
InstallationDate: Installed on 2015-01-13 (20 days ago)
InstallationMedia: Lubuntu 15.04 "Vivid Vervet" - Alpha amd64 (20141217)
SourcePackage: lxpanel
Title: package lxpanel-data (not installed) failed to install/upgrade: trying to overwrite '/usr/share/lxpanel/xkeyboardconfig/models.cfg', which is also in package lxpanel 0.7.2-1ubuntu1
UpgradeStatus: No upgrade log present (probably fresh install)

tags: removed: need-duplicate-check
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in lxpanel (Ubuntu):
status: New → Confirmed
Logan Rosen (logan) wrote :

Assigning this to Julien, as he performed the merge of lxpanel today.

Changed in lxpanel (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → High
assignee: nobody → Julien Lavergne (gilir)
tannalv (gandkri) wrote :

Well, I just simply did a:
dpkg -i --force-overwrite /var/cache/apt/archives/lxpanel_0.7.2-1ubuntu1_amd64.deb

It works. It's wrong, but it works. At least my lxde-desktop is now working again.

volker kempter (v-kempter) wrote :

same problem with i386 architecture:
in fact, the same error messages

volker kempter (v-kempter) wrote :

dpkg -i --force-overwrite /var/cache/apt/archives/lxpanel_0.7.2-1ubuntu1_i386.deb (see #4)

did not help in my case, but

dpkg -i --force-overwrite /var/cache/apt/archives/lxpanel-data_0.7.2-1ubuntu1_all.deb

indeed solved the problem -> the lxde desktop works properly again!

Julien Lavergne (gilir) wrote :

ubuntu2 version pushed to proposed. Please test if it's fix the problem for you.

volker kempter (v-kempter) wrote :

made the update to version ubuntu2 via sysnaptic without any problems.

Brendan Perrine (walterorlin) wrote :

I have completed the update for this on both amd64 and i386.

We need to get this into vivid proper so we can get dailies working
again. Luckily, testing is focused on 14.04.2 right now, but in two
days, a little help would be nice. :)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package lxpanel - 0.7.2-1ubuntu2

---------------
lxpanel (0.7.2-1ubuntu2) vivid; urgency=medium

  * debian/lxpanel.install
   - Don't install /usr/share/locale and /usr/share/lxpanel, already installed
     in lxpanel-data (LP: #1417244).
  * debian/control:
   - Update Replaces and Breaks.
 -- Julien Lavergne <email address hidden> Tue, 03 Feb 2015 19:43:11 +0100

Changed in lxpanel (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers